import React, { useState, useEffect } from 'react';
import { Form, Input, Button, Switch, Icon, Select, Option, message, Table, Divider, Tag, Pagination, Modal, DatePicker, Row, Col } from 'antd';
import router from 'umi/router';
import moment from 'moment';
import AuthButton from '@/components/AuthButton';
import BuildSelect from '@/components/SelectButton/BuildSelect2'
import ChannelSelect from '@/components/SelectButton/channelSelect'
import QrcodeType from '../../../components/SelectButton/QrcodeType'
import QrText from './components/qrText'
import apis from '../../../services/apis';
import request from '../../../utils/request';



const header = props => {

    // const id = props.location.query.id

    const [data, setData] = useState({})

    const [visible, setVisible] = useState(true)

    useEffect(() => {

    }, [])

    function addQrcode(params) {
        // request({ ...apis.qrcode.add, data: { ...params } }).then((data) => {
        //     //   setData(data)
        //     //   router.go(-1)
        // }).catch((err) => {
        //     console.log(err)
        //     message.info(err.msg || err.message)
        // })
    }

    function handleSubmit(e) {
        e.preventDefault();
        props.form.validateFields((err, values) => {
            if (!err) {
                console.log(values)
                // addQrcode(values)
            }
        },
        )
    }

    // switch
    function onChange(checked) {
        console.log(`switch to ${checked}`);
        setVisible(checked)
    }
    // qrcode

    const { getFieldDecorator } = props.form

    return (

        <>
            <Form labelCol={{ span: 7 }} wrapperCol={{ span: 12 }} onSubmit={handleSubmit}>
                <Form.Item label="是否关联项目">
                    {getFieldDecorator('12', {
                        initialValue: true,
                        rules: [{ required: true, message: '' }],
                    })(<Switch onChange={onChange} defaultChecked />)}
                </Form.Item>
                {visible && <Form.Item label="关联项目">
                    {getFieldDecorator('buildingId', {
                        rules: [{ required: true, message: '' }],
                    })(<BuildSelect />)}
                </Form.Item>}
                <Form.Item label="二维码内容类型">
                    {getFieldDecorator('targetType', {
                        rules: [{ required: true, message: '' }],
                    })(<QrcodeType visible={visible} ></QrcodeType>)}
                </Form.Item>
                <Form.Item label="二维码内容">
                    {getFieldDecorator('targetName', {
                        rules: [{ required: true, message: '' }],
                    })(<QrText />)}
                </Form.Item>
                <Form.Item label="是否关联项目">
                    {getFieldDecorator('channelId')(
                        <ChannelSelect />,
                    )}
                </Form.Item>

                <Form.Item wrapperCol={{ span: 15, offset: 8 }}>
                    <div style={{ width: '190px' }}>
                        <Button type="primary" htmlType="submit">保存</Button>
                        <Button onClick={() => router.go(-1)} htmlType="submit">取消</Button>
                    </div>
                </Form.Item>
            </Form>

        </>
    )
}



const WrappedNormalLoginForm = Form.create({ name: 'header' })(header);
export default WrappedNormalLoginForm