import React, { useState, useEffect, useMemo } from 'react';
import { Button, Form, Modal, Pagination, Table, Input } from 'antd';
import Navigate from '@/components/Navigate';
import EditIcon from '@/components/EditIcon';


const name = '324'

const data = [
    {
        id: '12',
        title: '234',
    },
]
const qrText = props => {
    const {
        value,
        onChange,
        ...rest
      } = props;
    // const [data, setData] = useState([])
    const [visible, setVisible] = useState(false);
    const [info, setInfo] = useState({ title: value });

    useEffect(() => {
        // value?useState
    }, [])

    function handleSubmit(e) {
        e.preventDefault();
        props.form.validateFields((err, values) => {
            if (!err) {
                console.log(values)
            }
        }
        )
    }

    const onChoice = e => {
        setInfo(e)
        setVisible(false)
        onChange(e.id)
    }

    const columns = [

        {
            title: '标题',
            dataIndex: 'title',
            key: 'title',
            align: 'center',

        },

        {
            title: '操作',
            dataIndex: '',
            key: '2',
            align: 'center',
            render: (text, record) => (<EditIcon type="start" text="选择" onClick={() => onChoice(record)}></EditIcon>),
        },
    ];


    const { getFieldDecorator } = props.form

    return (
        <>
            <div>{info.title} <Navigate onClick={() => setVisible(true)}>请选择</Navigate></div>

            <Modal
                title="请选择"
                visible={visible}
                onCancel={() => setVisible(false)}
                footer={[]}
                width="500px"
            >
                <Form layout="inline" onSubmit={e => handleSubmit(e, props)}>
                    <Form.Item>
                        {getFieldDecorator('contractTemplateName')(
                            <Input placeholder="请输入标题" />,
                        )}
                    </Form.Item>
                    <Form.Item>
                        <Button type="primary" htmlType="submit" >搜索 </Button>
                        {/* <Button style={{ marginLeft: 8 }} onClick={handleReset}>重置</Button> */}
                    </Form.Item>
                </Form>
                <Table columns={columns} dataSource={data} pagination={false} />
                {/* <Pagination defaultCurrent={1} total={dataInfo.total} onChange={e => changePageNum(e)} current={dataInfo.current} /> */}
            </Modal>
        </>

    )
}
const WrappedQrText = Form.create({ name: 'qrText' })(qrText);

export default WrappedQrText
